server:
  port: 8888
spring:
  mvc:
    static-path-pattern: /static/**
  redis:
    host: 101.34.243.166
    port: 6379
  rabbitmq:
    host: 101.34.243.166
    port: 5672
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://101.34.243.166:3306/zncar?useUnicode=true&characterEncoding=utf8&allowMultiQueries=true&useSSL=false
    username: root
    password: wan@123
    application:
      name: shop-server

mybatis:
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:mapper/*Mapper.xml
  global-config:
    db-config:
      id-type: auto

# 日志输出配置
logging:
  level:
    com.muyu: DEBUG
    com.muyu.service: DEBUG
    com.muyu.mapper: DEBUG
    com.muyu.vehicle: DEBUG
    root: INFO
    org:
      springframework:
        security: WARN
        web: ERROR
  file:
    path: ./logs
    name: './logs/vehicle.log'
  pattern:
    file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [%thread] %-5level %logger{50}:%L - %msg%n'
    console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [%thread] %-5level %logger{50}:%L - %msg%n'
# http调用框架
forest:
  max-connections: 1000        # 连接池最大连接数
  connect-timeout: 3000        # 连接超时时间，单位为毫秒
  read-timeout: 3000           # 数据读取超时时间，单位为毫秒
  variables:
    adminHost: ${mqtt.admin.host}
    adminTopicUri: ${mqtt.admin.topic-uri}
  log-enabled: false
kafka:
  bootstrap-servers: 127.0.0.1:9092
  consumer:
    group-id: Topics
    auto-offset-reset: earliest
    key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
    value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
  producer:
    acks: all
    retries: 0
    batch-size: 16384
    key-serializer: org.apache.kafka.common.serialization.StringSerializer
    value-serializer: org.apache.kafka.common.serialization.StringSerializer



